html {
    height: 100%;
}

body {
    margin: 0;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.content {
    flex-direction: column;

    width: 75%;
    height: 90%;
    display: flex;
    position: relative;
}

.canvas {
    flex: 1 0 auto;
    border: 1px solid black;
}

.tools {
    flex: 0 0 150px;

    overflow-y: auto;
    overflow-x: hidden;
    border: 1px solid black;
    border-top: 0;
    border-left: 1px solid black;
}

.tools__controls {
    padding: 4px;
    text-align: center;
}

.tools__control {
    background: white;
    border: 1px solid black;
    padding: 2px 8px;
    height: 24px;
    cursor: pointer;
}

.tools__distances {
    border-top: 1px solid black;
    padding-top: 4px;
    text-align: center;
}

.distance {
    border: 1px solid black;
    margin: 2px 4px;
    padding: 2px;
    width: calc(100% - 8px * 2 - 2px * 2);
}

.overlay {
    display: none;

    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(33, 150, 243, 0.5);
    z-index: 100;
}

.modal {
    display: none;

    position: absolute;
    top: 5%;
    left: 5%;
    width: 90%;
    height: 90%;
    background: #fff;
    z-index: 200;
    border: 1px solid black;
}

.modal__close {
    background: white;
    border: 1px solid black;
    padding: 2px 8px;
    height: 24px;
    cursor: pointer;
    position: absolute;
    right: 5px;
    top: 5px;
}

.modal--show, .overlay--show {
    display: block;
}

.matrix {
    position: absolute;
    left: 40px;
    top: 40px;
    height: calc(100% - 40px * 2);
    width: calc(100% - 40px * 2);
    border: 1px solid black;
}

@media all and (min-width: 1024px) {
    .content {
        flex-direction: row;
        height: 75%;
    }

    .tools {
        flex: 0 0 200px;
        border-left: 0;
        border-top: 1px solid black;
    }
}